Index: flexpart_code/FLEXPART.F90
===================================================================
--- flexpart_code/FLEXPART.F90	(revision 496c6079149f12fbb3e7ecf1f351470794679655)
+++ flexpart_code/FLEXPART.F90	(revision 57a9ccecd595dfd8d398d4ace304f74d0ad501c5)
@@ -79,7 +79,7 @@
   !*******************************************************
 #if defined CTBTO
-  print*,'Welcome to FLEXPART Version 9.0 CTBTO'
+  print*,'Welcome to FLEXPART Version 9.3.1f CTBTO'
 #else
-  print*,'Welcome to FLEXPART Version 9.0'
+  print*,'Welcome to FLEXPART Version 9.3.1f'
 #endif
 
Index: flexpart_code/GRIB2FLEXPART.F90
===================================================================
--- flexpart_code/GRIB2FLEXPART.F90	(revision f155f96d89b9df602c777448849f969e272999a8)
+++ flexpart_code/GRIB2FLEXPART.F90	(revision 57a9ccecd595dfd8d398d4ace304f74d0ad501c5)
@@ -59,7 +59,7 @@
   !*******************************************************
 #if defined CTBTO
-  print*,'Welcome to GRIB2FLEXPART Version 1.0 CTBTO'
+  print*,'Welcome to GRIB2FLEXPART Version 9.3.1f CTBTO'
 #else
-  print*,'Welcome to GRIB2FLEXPART Version 1.0'
+  print*,'Welcome to GRIB2FLEXPART Version 9.3.1f'
 #endif
 
@@ -217,27 +217,39 @@
   write (current_time, *) time()
   ! generate tmp file name using PID and timestamp
-  tmp_file_name = "overwritecheck_"//trim(adjustl(pid))//"_"//trim(adjustl(current_time))//".tmp"
-  tmp_file_path = trim(dump_path)//"/"//trim(tmp_file_name)
+  !! tmp_file_name = "overwritecheck_"//trim(adjustl(pid))//"_"//trim(adjustl(current_time))//".tmp"
+  !! tmp_file_path = trim(dump_path)//"/"//trim(tmp_file_name)
 
   ! create tmp file in output directory
-  open(10001, file=trim(tmp_file_path), status="new", action="write", iostat=open_status)
+  !! open(10001, file=trim(tmp_file_path), status="new", action="write", iostat=open_status)
   ! check for tmp file
-  if ( open_status /= 0 ) then
-    print *, "Output directory does not exist or is not writeable"
-    stop 'Error: Incorrect arguments'
-  endif
+  !! if ( open_status /= 0 ) then
+  !!   print *, "Output directory does not exist or is not writeable"
+  !!   print *, "File "//trim(tmp_file_path)//", iostat=",open_status
+  !!   print *, "PID: ", pid, getpid()
+  !!   print *, "current_time: ", current_time
+
+  !!   stop 'Error: Incorrect arguments'
+  !! endif
     
   ! generate tmp file name in input directory
   if ( input_is_path == 1) then
-    check_file_path = trim(input_path)//"/"//trim(tmp_file_name)
-  else
-    check_file_path=trim(input_path(:scan(input_path, '/', .TRUE.)))//trim(tmp_file_name)
+    !! check_file_path = trim(input_path)//"/"//trim(tmp_file_name)
+    stop 'Error: Incorrect arguments; input file is path'
+  else
+    if ( scan(input_path, '/') == 0 ) then
+       check_file_path=trim(dump_path)//"/"//trim(input_path)
+    else
+       check_file_path=trim(dump_path)//trim(input_path(scan(input_path, '/', .TRUE.):))
+    endif
   endif
   !check for file presence
+  print *, "Check if output file "//trim(check_file_path)//" exists ..."
   inquire(file=TRIM(check_file_path), exist=exists)
   ! delete tmp file
-  close(10001, status='DELETE')
+  !! close(10001, status='DELETE')
   if ( exists ) then
     overwritecheck = -1
+    print *, "Warning: Output file "//trim(check_file_path)//" exists"
+    stop 'Please remove this file if the output directory is correct'
   endif
   
Index: flexpart_code/fpmetbinary_mod.F90
===================================================================
--- flexpart_code/fpmetbinary_mod.F90	(revision 5cef1ebd4630cc45ac2917aced9cc058ad59a8c5)
+++ flexpart_code/fpmetbinary_mod.F90	(revision 57a9ccecd595dfd8d398d4ace304f74d0ad501c5)
@@ -56,5 +56,5 @@
     ! this routine will not be able to read a previous version, this version
     ! string should be modified
-    CHARACTER(LEN=8), PARAMETER :: PREPROC_FORMAT_VERSION_STR = '9.3.1e  '
+    CHARACTER(LEN=12), PARAMETER :: PREPROC_FORMAT_VERSION_STR = 'FP_p-9.3.1'//char(0)
 
     PRIVATE IOUNIT_DUMP, IOUNIT_LOAD, IOUNIT_TEXTOUT, fpio,    &
@@ -275,5 +275,5 @@
 &                  temp_nuvzmax, temp_nwzmax
 
-        CHARACTER(LEN=8) :: temp_preproc_format_version_str
+        CHARACTER(LEN=12) :: temp_preproc_format_version_str
 
         CHARACTER(LEN=128) :: errmesg
Index: flexpart_code/makefile.ctbto.ifort
===================================================================
--- flexpart_code/makefile.ctbto.ifort	(revision None)
+++ flexpart_code/makefile.ctbto.ifort	(revision 57a9ccecd595dfd8d398d4ace304f74d0ad501c5)
@@ -9,5 +9,5 @@
 # Set up for devlan ifort
 INTEL_ROOT = /cots/intel/composer_xe_2013.2.146
-GRIB_API_ROOT = /dvl/atm/klinkl/tmp/ifort_grib_api/grib_api-1.12.3
+GRIB_API_ROOT = /dvl/atm/klinkl/src/ifort_grib_api/grib_api-1.12.3
 
 FC       = $(INTEL_ROOT)/bin/ifort
Index: flexpart_code/makefile.general.ifort
===================================================================
--- flexpart_code/makefile.general.ifort	(revision None)
+++ flexpart_code/makefile.general.ifort	(revision 57a9ccecd595dfd8d398d4ace304f74d0ad501c5)
@@ -10,5 +10,5 @@
 # Set up for devlan ifort
 INTEL_ROOT = /cots/intel/composer_xe_2013.2.146
-GRIB_API_ROOT = /dvl/atm/klinkl/tmp/ifort_grib_api/grib_api-1.12.3
+GRIB_API_ROOT = /dvl/atm/klinkl/src/ifort_grib_api/grib_api-1.12.3
 
 FC       = $(INTEL_ROOT)/bin/ifort
